Customer auth keys

Get Customer Sign-In Key History

Get customer sign-in key history for a product space.

GET
/nudge/customer-auth-keys/product-spaces/{productSpaceId}/history

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

productSpaceId*string

Query Parameters

page*string
Default"1"
Match^[0-9]+$
size*string
Default"25"
Match^[0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/customer-auth-keys/product-spaces/string/history?page=1&size=25"
{
  "status": "success",
  "message": "string",
  "data": [
    {
      "id": "string",
      "signingKeyId": "string",
      "productSpaceId": "string",
      "algorithm": "RS256",
      "isActive": true,
      "createdDate": "2019-08-24T14:15:22Z",
      "modifiedDate": "2019-08-24T14:15:22Z",
      "createdBy": {
        "id": "string",
        "name": "string"
      },
      "modifiedBy": {
        "id": "string",
        "name": "string"
      }
    }
  ],
  "metaData": {
    "page": 0,
    "hasMore": true,
    "pageSize": 0,
    "count": 0
  },
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}